/* 
 * tkAppInit.c --
 *
 *	Provides a default version of the Tcl_AppInit procedure for
 *	use in wish and similar Tk-based applications.
 *
 * Copyright (c) 1993 The Regents of the University of California.
 * Copyright (c) 1994 Sun Microsystems, Inc.
 *
 * See the file "license.terms" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * SCCS: @(#) tkAppInit.c 1.21 96/03/26 16:47:07
 */

#include "tk.h"
#include "vue.h"

/*
 * The following variable is a special hack that is needed in order for
 * Sun shared libraries to be used for Tcl.
 */


/*
 *----------------------------------------------------------------------
 *
 * Tcl_AppInit --
 *
 *	This procedure performs application-specific initialization.
 *	Most applications, especially those that incorporate additional
 *	packages, will have their own version of this procedure.
 *
 * Results:
 *	Returns a standard Tcl completion code, and leaves an error
 *	message in interp->result if an error occurs.
 *
 * Side effects:
 *	Depends on the startup script.
 *
 *----------------------------------------------------------------------
 */

int
Vue_Init(interp)
    Tcl_Interp *interp;		/* Interpreter for application. */
{
	Tk_Window topLevel;

	topLevel = Tk_MainWindow(interp);

	Tcl_CreateCommand(interp, "bargraph", Tk_BargraphCmd,
			(ClientData) topLevel, (void (*)()) NULL);
	Tcl_CreateCommand(interp, "dial", Tk_DialCmd,
			(ClientData) topLevel, (void (*)()) NULL);
	Tcl_CreateCommand(interp, "stripchart", Tk_StripchartCmd, 
			(ClientData) topLevel, (void (*)()) NULL);
	Tcl_CreateCommand(interp, "pie", Tk_PieCmd,
			(ClientData) topLevel, (void (*)()) NULL);

    return TCL_OK;
}
